Summary: Supports reading and manipulating the UEFI signatures database
Name: efitools
Version: git
Release: r12.0
License: GPLv2
Group: console/utils
Packager: Wind River <info@windriver.com>
URL: unknown
BuildRequires: virtual/libc
BuildRequires: openssl
BuildRequires: gnu-efi
BuildRequires: openssl-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcrypto.so.1.0.0()(64bit)
Requires: /bin/bash
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: openssl
Requires: /bin/sh
Requires: libcrypto1.0.0(x86_64) >= 1.0.1e
Requires: libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)

%description
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.

%package -n efitools-dbg
Summary: Supports reading and manipulating the UEFI signatures database - Debugging files
Group: devel
Suggests: libc6-dbg(x86_64)
Suggests: libcrypto-dbg
Recommends: efitools = git-r12.0

%description -n efitools-dbg
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains ELF symbols and related
sources for debugging purposes.

%package -n efitools-dev
Summary: Supports reading and manipulating the UEFI signatures database - Development files
Group: devel
Requires: efitools = git-r12.0
Suggests: openssl-dev(x86_64)
Suggests: gnu-efi-dev
Suggests: libc6-dev(x86_64)
Suggests: libcrypto-dev

%description -n efitools-dev
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains symbolic links, header files,
and related items necessary for software development.

%package -n efitools-staticdev
Summary: Supports reading and manipulating the UEFI signatures database - Development files (Static Libraries)
Group: devel
Requires: efitools-dev = git-r12.0

%description -n efitools-staticdev
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains static libraries for software
development.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/etc"
%dir "/usr/bin"
"/usr/bin/sig-list-to-certs"
"/usr/bin/efi-readvar"
"/usr/bin/sign-efi-sig-list"
"/usr/bin/efitool-mkusb"
"/usr/bin/efi-updatevar"
"/usr/bin/sb-sig-verify.sh"
"/usr/bin/OsIndicate.sh"
"/usr/bin/flash-var"
"/usr/bin/sb-status.sh"
"/usr/bin/cert-to-efi-sig-list"
"/usr/bin/cert-to-efi-hash-list"
"/usr/bin/hash-to-efi-sig-list"
%dir "/etc/rc3.d"
%dir "/etc/init.d"
"/etc/rc3.d/S99keytool"
"/etc/init.d/keytool"

%files -n efitools-dbg
%defattr(-,-,-,-)

%files -n efitools-dev
%defattr(-,-,-,-)

